# generated by cabal-rpm-2.2.2 --standalone
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global upstream_version 2024-10-28

%global ghc_without_dynamic 1
%global ghc_without_shared 1
%undefine with_ghc_prof
%undefine with_haddock
%global without_prof 1
%global without_haddock 1
%global debug_package %{nil}

Name:           hell
Version:        0~%(echo %{upstream_version} | sed s/-/_/g)
Release:        1%{?dist}
Summary:        Mini-Haskell shell-script language

License:        BSD-3-Clause
Url:            https://github.com/chrisdone/hell
# Begin cabal-rpm sources:
Source0:        https://github.com/chrisdone/hell/archive/refs/tags/%{upstream_version}.tar.gz#/%{name}-%{upstream_version}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-constraints-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-haskell-src-exts-devel
BuildRequires:  ghc-hspec-devel
#BuildRequires:  ghc-lucid2-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-syb-devel
BuildRequires:  ghc-tagged-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-th-lift-devel
BuildRequires:  ghc-th-orphans-devel
BuildRequires:  ghc-typed-process-devel
BuildRequires:  ghc-unliftio-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  help2man
BuildRequires:  cabal-install
# for missing dep 'lucid2':
BuildRequires:  ghc-transformers-devel
# End cabal-rpm deps

%description
Haskell hell shell interpreter


%prep
# Begin cabal-rpm setup:
%setup -q -n %{name}-%{upstream_version}
# End cabal-rpm setup
%if 0%{?fedora} >= 41 || 0%{?rhel} >= 10
#%%autopatch -p1
%endif


%build
# Begin cabal-rpm build:
%global cabal_install %{_bindir}/cabal
%cabal_install update
# End cabal-rpm build


%install
# Begin cabal-rpm install
mkdir -p %{buildroot}%{_bindir}
%ghc_set_gcc_flags
%cabal_install install --install-method=copy --enable-executable-stripping --installdir=%{buildroot}%{_bindir}

set noclobber
mkdir -p %{buildroot}%{bash_completions_dir}
%{buildroot}%{_bindir}/%{name} --bash-completion-script %{name} | sed s/filenames/default/ > %{buildroot}%{bash_completions_dir}/%{name}

mkdir -p %{buildroot}%{_mandir}/man1/
help2man --no-info %{buildroot}%{_bindir}/%{name} > %{buildroot}%{_mandir}/man1/%{name}.1
# End cabal-rpm install


%check
cat > test.hell << EOF
main = do
  Text.putStrLn "Hello from hell!"
  args <- Environment.getArgs
  Monad.mapM_ Text.putStrLn args
EOF
%{buildroot}%{_bindir}/hell test.hell testing 123


%files
# Begin cabal-rpm files:
%doc examples
%{_bindir}/%{name}
%{bash_completions_dir}/%{name}
%{_mandir}/man1/%{name}.1*
# End cabal-rpm files


%changelog
* Mon Oct 28 2024 Jens Petersen <petersen@redhat.com> - 2024-10-28-1
- update to 2024-10-28

* Sat Oct 26 2024 Jens Petersen <petersen@redhat.com> - 2024-10-08-1
- spec file generated by cabal-rpm-2.2.2
